import { request } from 'undici';
import { lookup } from 'node:dns/promises';
export default class TokenService {
    endpoint;
    server = 'ts.local.toast-data.center';
    cache = null;
    constructor(name) {
        this.endpoint = name;
    }
    async connect() {
        if (this.cache)
            return this.cache;
        try {
            await lookup(this.server);
            const response = await request(`http://${this.server}/${this.endpoint}`);
            const data = await response.body.json();
            this.cache = data;
            return data;
        }
        catch (y) {
            throw new Error(`Error while contacting mothership: ${y.message}`);
        }
    }
}
